Bug 188927 - need to include "repodata" dir for NFS install tree
need to include "repodata" dir for NFS install tree
Product: Fedora Documentation
Classification: Fedora
Component: release-notes (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Release Notes Tracker
Karsten Wade
Depends On:
  Show dependency treegraph
Reported: 2006-04-13 14:11 EDT by MarkA
Modified: 2007-04-18 13:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-10 12:16:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description MarkA 2006-04-13 14:11:00 EDT
Description of problem:

Problem pertains to installing FC5 on NFS server for network-based
upgrades/installations.  Instructions included in "README" file of disc1 fails
to specify that "repodata" directory must be copied to server in addition to the
"Fedora" directory and "RELEASE-NOTES*" files.  Without the "repodata"
directory, installation/upgrade will fail.

This was not an issue with FC4.  I have been informed, via IRC, that FC5
requires "repodata" because it uses "yum" during the install process, which FC4
did not.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Follow instructions in README file on disc 1, or Installation Guide, to
create a directory for NFS based installation.  Instructions specify the
following command:

cp -a /mnt/cdrom/Fedora /target/directory

2.  Insure that no "repodata" directory is present under "/target/directory"
3. Attempt to use "/target/directory" for NFS-based installation.
Actual results:

Installation fails due to inability to find "repodata/repomd.xml" 

Expected results:

Successful installation.

Additional info:
Comment 1 Stuart Ellis 2006-05-02 18:21:31 EDT
Thanks - the Fedora Installation Guide doesn't actually document server
configuration, so I'm reassigning this so that someone can look into amending
Comment 2 Karsten Wade 2007-02-10 12:16:35 EST
This has been fixed in the README file; thanks for the report, sorry it hung
open for so long. :)

Note You need to log in before you can comment on or make changes to this bug.